Subject: Re: Using GCC
From: [email-masked] (Alex)

26 Oct 1997 15:02:53 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Charles Curley <[email-masked]>
Cc: [email-masked]

On Sun, 26 Oct 1997, Charles Curley wrote:

> Ah, *that* explains the Republicans since 1994.... :-)

No, nothing can explain those. ;-)

> Well, if I were doing it, I'd start with MS VC++ Professional edition,
> *unless* the tools are available here on Cygwin. I'd read up on VxDs and go
> from there.

Visual C++ is the biggest piece of crap I've seen in a long time.  It's a
pitty they call that a C++ compiler.
 
> I for dang sure wouldn't use a beta OS for testing it, esp. with the
> problems I've had with NT 5. Go to a recent W95 or NT 4 for this. Note that
> device drivers are very different for WNT and W9[5|8].

I like most of the changes made to Win98, however the latest CD sent to me
was really unstable (more so than any previous ones).  However I don't
have the patience to "downgrade" to OSR2.  The WDM aims to create uniform
drivers for 98 and NT (note the latest WDM driver I used was for my SB32, 
which was horribly written).

> >> If the inputs to the device driver are port or port and count (for reads)
> >> and port and datum or port, pointer to data and count (for writes) I think
> >> you would have a nice generic testbed driver. I think I'd put some range
> >> checks on it so I don't shoot myself in the foot with it.
> >
> >If there was some way to check to see if Windows is reserving that port,
> >that'd probably be pretty helpful. Although I wonder if it'd work on NT.
> 
> I don't know if there is an OS call you could make, but the program
> winmsd.exe (on NT 4) and its equivalents can find these things out, so it
> has to be in the os omewhere.
[...]
> >> Next question, for the folks who know Cygwin better than I: does Cygwin GCC
> >> include the tools necessary to make a device driver?
> >
> >Most probably yes.
> 
> We will see if anyone else answers this. If not, I'd go to MS VC++. I've
> ameliorated it considerably by integrating NT Emacs into it.

How'd you manage that?

- alex

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".